Namespace
library
Image / Tag
docker:19.03.0-rc2-dind
Content Digest
sha256:e833aa9350d99e1d211dcf3184d15df494e5dda92a33ae1d70751d5eecbc083f
Details
Created

2019-06-14 22:33:24 UTC

Size

68.3 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

test

DOCKER_VERSION

19.03.0-rc2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:e7c96db7181be991f19a9fb6975cdbbd73c65f4a2681348e63a141a2192a5f10 - 3.85% (2.63 MB)

[#001] sha256:5297bd3818169b125a364b85eb77095c3f33626fa6a83f36bf2123aba60f2b39 - 0.42% (295 KB)

[#002] sha256:3a664477889cd9030004351f3bb8a9c904e299cf5e5f17f8819e20d7370aeceb - 0.0% (153 Bytes)

[#003] sha256:a3f7ed289aff366bb73854dd29bc2dcccde372ff267c1d53468dd57353d6c59c - 89.06% (60.8 MB)

[#004] sha256:512b5b5f46545a5ce0a28b68feadd453558fa2b1b5f3535b5a08782504ba9cd2 - 0.0% (545 Bytes)

[#005] sha256:2615dca37e15919010ac843e8c81cd3c32ef02baeb7b0cc1e3adad5dd2e4c658 - 0.0% (739 Bytes)

[#006] sha256:bdf9bba643e276ea4379068cbd1372987b9fb5c5e27bf81e42734ef9289ad0ab - 6.66% (4.55 MB)

[#007] sha256:0731df454a95418128a78b79567fb8d8e24e4e8167cb2236050c8e98e3f4f78e - 0.0% (1.28 KB)

[#008] sha256:49c6f327f31adda429b7b1892b484c1f6b10b66330850a2e943f4a61c2b1f265 - 0.0% (757 Bytes)

[#009] sha256:69d36a6c6d6aed7e2501b3a43b49562d3955a4ddcb010586948058c7a3b85c11 - 0.0% (577 Bytes)


History
2019-05-11 00:07:03 UTC

/bin/sh -c #(nop) ADD file:a86aea1f3a7d68f6ae03397b99ea77f2e9ee901c5c59e59f76f93adbb4035913 in /

2019-05-11 00:07:03 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-05-11 00:23:26 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-05-11 00:23:27 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-05-11 00:23:27 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2019-06-05 23:24:36 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.0-rc2

2019-06-14 22:33:16 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-06-14 22:33:17 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-06-14 22:33:17 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-06-14 22:33:17 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-14 22:33:17 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-06-14 22:33:22 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-06-14 22:33:22 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-06-14 22:33:23 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-06-14 22:33:23 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-06-14 22:33:24 UTC

/bin/sh -c #(nop) COPY file:779dca3bbfbd33f9223bd74feaf003513d1936b73cdbfb2a8e52d9a12505d90c in /usr/local/bin/

2019-06-14 22:33:24 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-06-14 22:33:24 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-06-14 22:33:24 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-06-14 22:33:24 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2019-06-14 22:49:51 UTC

Size

62.1 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

test

DOCKER_VERSION

19.03.0-rc2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:6e39823df636e42cc4ea056843af98c9bec31b5ae0a75cdc5628cd19b589189c - 3.91% (2.43 MB)

[#001] sha256:1e973d2d028433a678a141dae7960c25f92470d4fb1445eb6db2043b2e835031 - 0.46% (295 KB)

[#002] sha256:78436e680e21b80ea470c654124955de15e6e8a79b59499c5dbe71d477058b7c - 0.0% (153 Bytes)

[#003] sha256:94485bee69a9140a6aae8e69dd4382610d5a6d1859975230c62d14a24fd887c2 - 91.38% (56.8 MB)

[#004] sha256:67bb43ddc30645d743e5d55bb056282a8a46cda29fcf8617b34577f5a61ecf85 - 0.0% (546 Bytes)

[#005] sha256:e8d29dc0c764961861845955a894662427575bbc4bc91d0af4d40b2e3a74ec8d - 0.0% (739 Bytes)

[#006] sha256:ad2d6629bc54937e9b7ddedfabead2224d40d6529ffeba78337ebdee81cae980 - 4.25% (2.64 MB)

[#007] sha256:3f1a9e462b4e3a0d0e792893f0a9c7824ab9113b517be925d6fa05ac5346b007 - 0.0% (1.31 KB)

[#008] sha256:b1f356b4e9b7a92fde38424aa49f69f16fe67e206c95adc97f386ab6022da172 - 0.0% (757 Bytes)

[#009] sha256:1311ba0ea3b5ca3d2770f741dfc88128ac148bc8e4623b8052f67cc57ae1bbcf - 0.0% (580 Bytes)


History
2019-05-11 07:49:31 UTC

/bin/sh -c #(nop) ADD file:202469fe868f49927884e8dd109fb8bb596ab6e435dc1bfc9f75f03e50e82325 in /

2019-05-11 07:49:31 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-05-11 09:14:32 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-05-11 09:14:33 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-05-11 09:20:31 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2019-06-05 22:49:23 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.0-rc2

2019-06-14 22:49:36 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-06-14 22:49:37 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-06-14 22:49:38 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-06-14 22:49:38 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-14 22:49:38 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-06-14 22:49:44 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-06-14 22:49:46 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-06-14 22:49:47 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-06-14 22:49:48 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-06-14 22:49:49 UTC

/bin/sh -c #(nop) COPY file:779dca3bbfbd33f9223bd74feaf003513d1936b73cdbfb2a8e52d9a12505d90c in /usr/local/bin/

2019-06-14 22:49:49 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-06-14 22:49:50 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-06-14 22:49:50 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-06-14 22:49:51 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2019-06-14 23:57:56 UTC

Size

61.6 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

test

DOCKER_VERSION

19.03.0-rc2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:856f4240f8dba160c5323506c1e9a4dbaaca840bf1b0c244af3b8d1b42b0f43b - 3.64% (2.24 MB)

[#001] sha256:244bb6187057b19715bec6eba8785b00476ef37399206d6b41b5dadcb4864765 - 0.47% (294 KB)

[#002] sha256:f644f99f22ce58b3e0b1a3e64558c9f0b0d402ea20857d0485c3fce77732e151 - 0.0% (154 Bytes)

[#003] sha256:37adb419735c5e1d195db1de9f49a6aed7cc88b433feab11660d3c801175ef71 - 92.09% (56.8 MB)

[#004] sha256:51c86dcf2750e03fb0c1f6964d166ccff88b57ec86165a17e0fb92f959d3bc07 - 0.0% (544 Bytes)

[#005] sha256:844988e8d76b090a29b7a3b20bd6b2c34b04c95c1c1fa7864e89397d1a81468e - 0.0% (738 Bytes)

[#006] sha256:2c98fb96951324775e834221a272bd9d33721727a15b1d7cd0799066cb56cfba - 3.8% (2.34 MB)

[#007] sha256:e81391b1bc9af018cd5c760f30bd57cf7e73ea68f5ac9cfe08d0c764a1943cd6 - 0.0% (1.3 KB)

[#008] sha256:190073dfbecb7416cdeefc537b1d934a24d66d49e7de1ecae6f0baf2f3d2b32e - 0.0% (760 Bytes)

[#009] sha256:e7db2b13df5e9060c4a0da932473d2636a55f5b07f05b347ef77c624817dda2b - 0.0% (579 Bytes)


History
2019-05-11 11:57:33 UTC

/bin/sh -c #(nop) ADD file:6a887e546cc71145f8be9285950befcf2a4095b97ba44c66550b31165f7a02b5 in /

2019-05-11 11:57:34 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-05-11 13:04:56 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-05-11 13:04:58 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-06-14 23:57:30 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2019-06-14 23:57:31 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.0-rc2

2019-06-14 23:57:40 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-06-14 23:57:42 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-06-14 23:57:42 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-06-14 23:57:43 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-14 23:57:43 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-06-14 23:57:50 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-06-14 23:57:52 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-06-14 23:57:52 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-06-14 23:57:54 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-06-14 23:57:54 UTC

/bin/sh -c #(nop) COPY file:779dca3bbfbd33f9223bd74feaf003513d1936b73cdbfb2a8e52d9a12505d90c in /usr/local/bin/

2019-06-14 23:57:55 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-06-14 23:57:55 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-06-14 23:57:56 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-06-14 23:57:56 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2019-06-19 20:56:30 UTC

Size

61.8 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

test

DOCKER_VERSION

19.03.0-rc2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0362ad1dd800a9d92f8982fa28f173f9120266153830f990f7486f44b068968a - 4.15% (2.56 MB)

[#001] sha256:4add8f29bf03f3d6fce96396daad08e0039610b96925452697ea40933ec96ec4 - 0.47% (295 KB)

[#002] sha256:d2a54cdb6f8d9efb5c7906e854f297284c50db62dea68960f9665d4e134a2da6 - 0.0% (153 Bytes)

[#003] sha256:a498d3d7ce2e4e63de77d491be4af324f5b883d262f2f1b0a8de9bde0f50141f - 87.96% (54.4 MB)

[#004] sha256:94a6efc7c43dbc80433f01cdf96b0f9629e53440415c68130bbf2cb24a689b9d - 0.0% (546 Bytes)

[#005] sha256:47a988bc8c9fe255eed95f6a981053d5306f50b90774fad80e1760fb229a1f7a - 0.0% (740 Bytes)

[#006] sha256:c2083b0efc0c849d69c20536ce9823899447e812c1068fa651fd3e8663a4d294 - 7.42% (4.59 MB)

[#007] sha256:5ca96ea62337879bfa8e6209dc58a99627580c7cf928071193125593a071ed8c - 0.0% (1.3 KB)

[#008] sha256:450de04d1be5d08ffc36e39e0c6ca8a99dae4c948618a2e9fdfb482fd0639dcc - 0.0% (759 Bytes)

[#009] sha256:02e7f3a02465aecb82c55a6ed958dbe46dab090ba29b91c063948fa16155752f - 0.0% (580 Bytes)


History
2019-06-19 20:39:47 UTC

/bin/sh -c #(nop) ADD file:66f49017dd7ba295602526dbf210046e47fd097298c17a3f268a47487b5b6379 in /

2019-06-19 20:39:47 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-06-19 20:56:05 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-06-19 20:56:06 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-06-19 20:56:06 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=test

2019-06-19 20:56:07 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.0-rc2

2019-06-19 20:56:16 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; armv7) dockerArch='armhf' ;; aarch64) dockerArch='aarch64' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-06-19 20:56:17 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-06-19 20:56:17 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-06-19 20:56:18 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-06-19 20:56:18 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-06-19 20:56:24 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-06-19 20:56:25 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-06-19 20:56:26 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-06-19 20:56:28 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-06-19 20:56:28 UTC

/bin/sh -c #(nop) COPY file:779dca3bbfbd33f9223bd74feaf003513d1936b73cdbfb2a8e52d9a12505d90c in /usr/local/bin/

2019-06-19 20:56:28 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-06-19 20:56:29 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-06-19 20:56:29 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-06-19 20:56:30 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete